Bug 998232 - [abrt] glib-networking-2.36.2-1.fc19: JS_AbortIfWrongThread: Process /usr/libexec/glib-pacrunner was killed by signal 11 (SIGSEGV)
[abrt] glib-networking-2.36.2-1.fc19: JS_AbortIfWrongThread: Process /usr/lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libproxy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Winship
Fedora Extras Quality Assurance
abrt_hash:b7846c6603eee663a72f06eaec1...
: Reopened
: 1004114 1004534 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 09:16 EDT by Frank Crawford
Modified: 2014-04-15 11:45 EDT (History)
19 users (show)

See Also:
Fixed In Version: libproxy-0.4.11-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-15 11:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.39 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: cgroup (141 bytes, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: core_backtrace (41.10 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: dso_list (2.70 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: environ (1.07 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: maps (14.85 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: open_fds (301 bytes, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
File: var_log_messages (5.28 KB, text/plain)
2013-08-18 09:16 EDT, Frank Crawford
no flags Details
backtrace generated with 2.38.1-1 fc20 + reboot (14.32 KB, text/plain)
2013-11-14 13:49 EST, Mikko Tiihonen
no flags Details
Trace (1.15 KB, text/plain)
2013-11-25 04:52 EST, lnie
no flags Details

  None (edit)
Description Frank Crawford 2013-08-18 09:16:08 EDT
Version-Release number of selected component:
glib-networking-2.36.2-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/glib-pacrunner
crash_function: JS_AbortIfWrongThread
executable:     /usr/libexec/glib-pacrunner
kernel:         3.9.11
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 JS_AbortIfWrongThread at /usr/src/debug/mozjs17.0.0/js/src/jsapi.cpp:7036
 #1 js::DestroyContext at /usr/src/debug/mozjs17.0.0/js/src/jscntxt.cpp:380
 #2 ~mozjs_pacrunner at /usr/src/debug/libproxy-0.4.11/libproxy/modules/pacrunner_mozjs.cpp:151
 #3 mozjs_pacrunner::~mozjs_pacrunner at /usr/src/debug/libproxy-0.4.11/libproxy/modules/pacrunner_mozjs.cpp:154
 #4 libproxy::pacrunner_extension::get at /usr/src/debug/libproxy-0.4.11/libproxy/extension_pacrunner.cpp:37
 #5 libproxy::proxy_factory::run_pac at /usr/src/debug/libproxy-0.4.11/libproxy/proxy.cpp:419
 #6 libproxy::proxy_factory::get_proxies at /usr/src/debug/libproxy-0.4.11/libproxy/proxy.cpp:216
 #7 px_proxy_factory_get_proxies at /usr/src/debug/libproxy-0.4.11/libproxy/proxy.cpp:463
 #8 get_libproxy_proxies at glibproxyresolver.c:145
 #9 g_task_thread_pool_thread at gtask.c:1242
Comment 1 Frank Crawford 2013-08-18 09:16:13 EDT
Created attachment 787777 [details]
File: backtrace
Comment 2 Frank Crawford 2013-08-18 09:16:16 EDT
Created attachment 787778 [details]
File: cgroup
Comment 3 Frank Crawford 2013-08-18 09:16:19 EDT
Created attachment 787779 [details]
File: core_backtrace
Comment 4 Frank Crawford 2013-08-18 09:16:22 EDT
Created attachment 787780 [details]
File: dso_list
Comment 5 Frank Crawford 2013-08-18 09:16:25 EDT
Created attachment 787781 [details]
File: environ
Comment 6 Frank Crawford 2013-08-18 09:16:28 EDT
Created attachment 787782 [details]
File: exploitable
Comment 7 Frank Crawford 2013-08-18 09:16:31 EDT
Created attachment 787783 [details]
File: limits
Comment 8 Frank Crawford 2013-08-18 09:16:34 EDT
Created attachment 787784 [details]
File: maps
Comment 9 Frank Crawford 2013-08-18 09:16:37 EDT
Created attachment 787785 [details]
File: open_fds
Comment 10 Frank Crawford 2013-08-18 09:16:40 EDT
Created attachment 787786 [details]
File: proc_pid_status
Comment 11 Frank Crawford 2013-08-18 09:16:43 EDT
Created attachment 787787 [details]
File: var_log_messages
Comment 12 Dan Winship 2013-09-19 08:28:44 EDT
*** Bug 1004114 has been marked as a duplicate of this bug. ***
Comment 13 Dan Winship 2013-09-19 08:29:12 EDT
*** Bug 1004534 has been marked as a duplicate of this bug. ***
Comment 14 Fedora Update System 2013-09-19 10:01:25 EDT
libproxy-0.4.11-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libproxy-0.4.11-6.fc19
Comment 15 Fedora Update System 2013-09-19 10:13:33 EDT
libproxy-0.4.11-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libproxy-0.4.11-7.fc20
Comment 16 Fedora Update System 2013-09-29 20:36:01 EDT
libproxy-0.4.11-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-10-03 21:52:45 EDT
libproxy-0.4.11-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Aaron Lu 2013-10-17 03:51:21 EDT
Hello,

I just have this happened, and ABRT said this bug is already reported here.
$ rpm -q libproxy
libproxy-0.4.11-6.fc19.x86_64

What other information is needed?
Comment 19 Dan Winship 2013-10-17 09:39:35 EDT
Have you logged out or rebooted since getting the libproxy-0.4.11-6.fc19.x86_64 update? If not, then you would have still been running glib-pacrunner against the old version of the library, so it would eventually crash. At this point it should not crash again.
Comment 20 Aaron Lu 2013-10-17 21:00:53 EDT
I can't remember if I have rebooted or not. I just rebooted and if problem occurs again, I'll report here, thanks.
Comment 21 Aaron Lu 2013-10-17 21:07:41 EDT
OK, I just found that I can reliably reproduce this problem:
1 start gnome-tweak-tool
2 In the 'Shell Extensions' tab, click 'Get more extensions'
3 Firefox starts and abrt pops up at the down right corner.

dmesg shows:
[   14.026757] pool[1260]: segfault at 0 ip 00007f430471fc12 sp 00007f4301eb39d0 error 6 in libmozjs-17.0.so[7f43046d3000+3a7000]
[   19.403704] pool[1326]: segfault at 0 ip 00007f85e72aac12 sp 00007f85e604d9d0 error 6 in libmozjs-17.0.so[7f85e725e000+3a7000]
[   65.977555] pool[1579]: segfault at 0 ip 00007f9445e96c12 sp 00007f94377fd9d0 error 6 in libmozjs-17.0.so[7f9445e4a000+3a7000]
[  125.106667] pool[1658]: segfault at 0 ip 00007fc98e127c12 sp 00007fc98d0d79d0 error 6 in libmozjs-17.0.so[7fc98e0db000+3a7000]
[  125.877657] pool[1676]: segfault at 0 ip 00007f9054306c12 sp 00007f90528a89d0 error 6 in libmozjs-17.0.so[7f90542ba000+3a7000]
[  162.346353] pool[1748]: segfault at 0 ip 00007f790c513c12 sp 00007f79089ba9d0 error 6 in libmozjs-17.0.so[7f790c4c7000+3a7000]
Comment 22 Dan Winship 2013-10-21 10:05:22 EDT
can you attach your proxy.pac file? (If you want to edit it first to remove confidential stuff, make sure that the bug still occurs with the edited version.)
Comment 23 Aaron Lu 2013-10-21 21:53:28 EDT
I just made a simplified version and I can still reproduce the problem with it.

function FindProxyForURL(url, host)
{
        return "PROXY host_name_for_my_proxy_server:911";
}
Comment 24 Aaron Lu 2013-10-22 03:10:03 EDT
The above is from the autoproxy.pac for firefox, but perhaps it's not that proxy setting caused the problem, it should be the proxy I set in system-settings for network proxy, where I used an URL for automatic setting: http://autoproxy.x.com. I wget the index.html and saw there are a whole lot of condition checking and proxy host setting involved.

I ceased to use that URL now and directly set proxy host in system network proxy setting, no problem has occurred till now. So problem solved I would say, thanks!
Comment 25 Christopher Meng 2013-10-22 05:53:24 EDT
OK.

BTW are you using the autoproxy2pac to generate the pac?(I'm the comaintainer of autoproxy/gfwlist.)
Comment 26 Aaron Lu 2013-10-22 10:07:35 EDT
No, I just use the URL as the auto proxy setting.
Comment 27 Mikko Tiihonen 2013-11-06 13:45:37 EST
I still see these with
glib-networking-2.38.1-1.fc20
libproxy-0.4.11-7.fc20
and abrt always claims that the problem has already been reported here.
Comment 28 Fedora Update System 2013-11-11 16:52:23 EST
libproxy-0.4.11-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libproxy-0.4.11-7.fc19
Comment 29 Fedora Update System 2013-11-11 17:09:40 EST
libproxy-0.4.11-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libproxy-0.4.11-8.fc20
Comment 30 Fedora Update System 2013-11-12 21:09:45 EST
Package libproxy-0.4.11-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libproxy-0.4.11-8.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21163/libproxy-0.4.11-8.fc20
then log in and leave karma (feedback).
Comment 31 lnie 2013-11-13 01:57:07 EST
still see this bug with libproxy-0.4.11-8.fc20 when install some extensions
Comment 32 Dan Winship 2013-11-13 09:27:33 EST
did you see it more than once? You might crash once more after installing the update if you didn't log out and back in, since you'd still have the old glib-pacrunner binary running
Comment 33 lnie 2013-11-13 21:39:38 EST
yes,actually,I reproduce it 3 times ,after the reboot.
Comment 34 Mikko Tiihonen 2013-11-14 13:49:42 EST
Created attachment 824120 [details]
backtrace generated with 2.38.1-1 fc20 + reboot

I can reproduce it many times a day, after latest updates and reboot.

I managed to get some output from abrt before it declared this already solved:
- attached a new backtrace

uReport: BTHASH=9dba29ee20a1678e8a34458bcd1c1c93e22d3c03
ABRT Server: URL=https://retrace.fedoraproject.org/faf/reports/bthash/9dba29ee20a1678e8a34458bcd1c1c93e22d3c03
Comment 35 Dan Winship 2013-11-14 14:33:16 EST
Mikko, that stack trace appears to be against the older version of libproxy; you need libproxy 0.4.11-8, which is only in updates-testing, to fix the bug.

A stack trace against the new version of libproxy (from anyone) would be useful.
Comment 36 Mikko Tiihonen 2013-11-14 14:39:17 EST
rpm -q libproxy
libproxy-0.4.11-8.fc20.x86_64

From /var/log/messages:
Nov 13 11:23:34 yum: Updated: libproxy-0.4.11-8.fc20.x86_64
Nov 13 11:23:35 yum: Updated: libproxy-mozjs-0.4.11-8.fc20.x86_64
Nov 13 11:23:35 yum: Updated: libproxy-python-0.4.11-8.fc20.noarch
Comment 37 Mikko Tiihonen 2013-11-14 14:51:51 EST
Hmm. You might be right that the stacktrace could be from the yesterday morning just before I did last yum update. I'll monitor the situation more tomorrow and report if the bug is solved from my part.

Thank you for your effort and hand holding.
Comment 38 lnie 2013-11-15 00:32:14 EST
still doesn't work for me ,the abrt popup comes randomly,sometimes when I try to install some extensions,gnome-tweak-tool GUI disapper with the below message left:
(process:2400): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
Comment 39 k4rtik 2013-11-20 00:52:17 EST
I am also getting the abrt error for glibnetworking multiple times everyday (last count was 26).
Comment 40 Dan Winship 2013-11-20 08:14:04 EST
as mentioned before, a stack trace with the latest libproxy (ideally with libproxy-debuginfo installed as well) would be useful. I can't reproduce this.
Comment 41 lnie 2013-11-20 23:28:36 EST
Just as I said,I've installed both libproxy and libproxy-debuginfo,and can reproduce this many times:the abrt popup comes randomly when I try to install some extensions.At the same time,gnome-tweak-tool GUI disappear with message:(process:2400): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed 
Segmentation fault(core dump)
Comment 42 Dan Winship 2013-11-21 08:13:55 EST
yes, I know *you* can reproduce it, but I can't, and I need to see a stack trace of the crash against current libproxy in order to see where it's crashing now
Comment 43 Jonh Wendell 2013-11-22 07:08:55 EST
I confirm that upgrading to libproxy-0.4.11-8.fc20 fixed the problem.
no more crashes and no more cpu at 100% (journalctl and/or abrt handling crashes)

thanks!
Comment 44 lnie 2013-11-25 04:52:11 EST
Created attachment 828585 [details]
Trace
Comment 45 lnie 2013-11-25 04:54:00 EST
I reproduced this bug with libproxy-0.4.11-8.fc20 one more time to get the stack trace which has been attached
Comment 46 Dan Winship 2013-11-25 08:20:52 EST
ah, sorry, you need to do "thread apply all backtrace" (or "t a a bt") if you're grabbing the stack trace by hand. Otherwise you only get one thread, and it's generally the wrong one.
Comment 47 lnie 2013-11-28 02:45:06 EST
Hi,the tested VM crashed to black when I tried to start it :(.I had a fresh install on the VM,and installed gnome-tweak-tool-3.10.1-2,this time I'm unable to reproduce this bug any more.The libproxy version is 0.4.11-7.fc20.

FYI:gnome-tweak-tool-3.10.1-2+libproxy-0.4.11-8.fc20 works fine too
    the gnome-tweak-tool‘version on the crashed VM is 3.10.0-2
Comment 48 Bill C. Riemers 2014-03-02 22:19:29 EST
BTW.  Same problem, same fix.   Only for me it was happening continuously, e.g. every few seconds.
Comment 49 Dan Winship 2014-03-03 10:42:42 EST
Can you clarify "same problem, same fix"? Are you seeing this bug with libproxy-0.4.11-8.fc20?
Comment 50 Bill C. Riemers 2014-03-03 11:41:41 EST
Here are the error messages I was getting until I installed the new proxy package from updates-testing:

Mar  2 14:24:44 briemersw kernel: [ 7778.776698] pool[1170]: segfault at 0 ip 0000003d5e44de72 sp 00007feb913fe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:45 briemersw kernel: [ 7779.820286] pool[1180]: segfault at 0 ip 0000003d5e44de72 sp 00007f0287ffe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:46 briemersw kernel: [ 7780.850851] pool[1190]: segfault at 0 ip 0000003d5e44de72 sp 00007fe4120fe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:48 briemersw kernel: [ 7781.889396] pool[1200]: segfault at 0 ip 0000003d5e44de72 sp 00007fde964fe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:49 briemersw kernel: [ 7782.925663] pool[1211]: segfault at 0 ip 0000003d5e44de72 sp 00007f01095fe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:50 briemersw kernel: [ 7783.958201] pool[1222]: segfault at 0 ip 0000003d5e44de72 sp 00007f2503ffe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:51 briemersw kernel: [ 7785.006032] pool[1233]: segfault at 0 ip 0000003d5e44de72 sp 00007f26cfdfe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]
Mar  2 14:24:52 briemersw kernel: [ 7786.033601] pool[1244]: segfault at 0 ip 0000003d5e44de72 sp 00007f22b8efe9b0 error 6 in libmozjs-17.0.so[3d5e400000+3b3000]

I believe it was happening so frequently, because I have the following in DNSMASQ on my router:

dhcp-option=252,http://wpad.docbill.info/proxy.pac

This in turn was actually causing other failures, which are hard to determine how they are related.   For example, I have an external drive that kept turning itself off rather than auto mounting the drive.   I don't have a clue how that could be related, but updating the package resolved it...

Bill
Comment 51 Dan Winship 2014-03-03 11:43:44 EST
ok, there don't seem to be any reproducible reports with libproxy-0.4.11-8.fc20, so I'm re-closing this
Comment 52 Tomas Toth 2014-03-15 12:24:28 EDT
This still tops the F20 problem tracker:
https://retrace.fedoraproject.org/faf/problems/hot/fedora-20/*/*/

libproxy-0.4.11-8.fc20 has never made it to stable due to negative karma:
https://admin.fedoraproject.org/updates/FEDORA-2013-21163/libproxy-0.4.11-8.fc20

Please consider reopening.
Comment 53 Pavel Malyshev 2014-03-17 07:40:12 EDT
My F20's logs are full of glib-pacrunner/libmozjs crashes, please reopen
Comment 54 Dan Winship 2014-03-17 10:40:34 EDT
(In reply to Tomas Toth from comment #52)
> libproxy-0.4.11-8.fc20 has never made it to stable due to negative karma:
> https://admin.fedoraproject.org/updates/FEDORA-2013-21163/libproxy-0.4.11-8.
> fc20

Sigh. Then people who are having this problem should install that update, restart, verify that the bug has gone away for them, and then add karma to the package.

(Or someone could tell me the koji magic to force the build to go out despite its -1 karma? At least one of the -1's is 100% bogus, and based on the fact that the identical f19 update got +3, the other -1 is presumably bogus as well.)
Comment 55 Pavel Malyshev 2014-03-17 13:15:24 EDT
Voted for the package, but karma is still -1...
Comment 56 sylock 2014-03-26 09:05:40 EDT
An automatic report was generated for this bug when trying to install a gnome-shell extension from https://extensions.gnome.org/extension/615/appindicator-support/

I'm going through a proxy with authentication (configured in the network settings).
Comment 57 Pavel Malyshev 2014-04-03 09:32:29 EDT
Actually, pacrunner from 0.4.11-8 occupies all my CPU after reboot. 
It seems that it is started upon Empathy attempt to login to GTalk and Facebook.
Comment 58 Fedora Update System 2014-04-08 20:53:52 EDT
libproxy-0.4.11-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 59 Adam Williamson 2014-04-10 16:41:05 EDT
Dan: it's not Koji magic you need, but Bodhi. I think you can't push it now as it doesn't meet the criteria:

"     At the time of the request to stable, the update needs to have either a Bodhi karma sum of 2 OR
    It must spend at least 14 days in updates-testing AND have no negative Bodhi karma points."

https://fedoraproject.org/wiki/Updates_Policy#Updates_to_.27critical_path.27_packages

I can ask those who filed negative feedback to re-test, if you think the issues are bogus.
Comment 60 Fedora Update System 2014-04-15 11:45:16 EDT
libproxy-0.4.11-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.